deprecation warnings

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

deprecation warnings

Paul Franklin-5
I am having a private conversation with a user, about
a problem he is having in alpha2, and he sent a crash
report which had these deprecation warnings.  I don't
know if anything can be done, so I am just alerting you
GUI folks out there, in case you can do something.

Notice that the three errors are not exactly the same.

p.s. I would guess that since at least two of you run
ARCH that you will be able to reproduce it/these.

Thanks.

=========================================
Python version: 3.6.1 (default, Mar 27 2017, 00:27:06) [GCC 6.3.1 20170306]
BSDDB version: 6.2.4 (5, 3, 28)
sqlite version: 3.19.3 (2.6.0)
Gramps version: 5.0.0-alpha2
LANG: en_US.UTF-8
OS: Linux
Distribution: 4.11.7-1-ARCH

GTK version    : 3.22.16
gobject version: 3.24.1
cairo version  : (1, 13, 3)


(Gramps.py:16860): Gtk-WARNING **: Theme parsing error: gtk.css:68:35: The
style property GtkButton:child-displacement-x is deprecated and shouldn't be
used anymore. It will be removed in a future version

(Gramps.py:16860): Gtk-WARNING **: Theme parsing error: gtk.css:69:35: The
style property GtkButton:child-displacement-y is deprecated and shouldn't be
used anymore. It will be removed in a future version

(Gramps.py:16860): Gtk-WARNING **: Theme parsing error: gtk.css:73:46: The
style property GtkScrolledWindow:scrollbars-within-bevel is deprecated and
shouldn't be used anymore. It will be removed in a future version

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: deprecation warnings

GRAMPS - Dev mailing list
I can't reproduce this. Maybe problem is with a theme that user used.
==================
Gramps Settings:
----------------
  python    : 3.6.1
  gramps    : 5.0.0-alpha2-d10561f2
  gtk++     : 3.22.16
  pygobject : 3.24.1
  pango     : 1.40.6
  cairo     : 1.14.10
  pycairo   : 1.13.3
  osmgpsmap : 1.0
  GExiv2    : 0.10
  ICU       : 59.1
  PyICU     : 1.9.7
  o.s.      : linux
  kernel    : 4.11.7-1-ARCH

Environment settings:
---------------------
  LANG      : ru_RU.UTF-8
  LANGUAGE  : ru
  GRAMPSI18N: not set
  GRAMPSHOME: not set
  GRAMPSDIR : not set
  GRAMPS_RESOURCES : /home/vantu5z/git/gramps
  PYTHONPATH:
     /home/vantu5z/git/gramps/gramps
     /home/vantu5z/git/gramps
     /usr/lib/python36.zip
     /usr/lib/python3.6
     /usr/lib/python3.6/lib-dynload
     /usr/lib/python3.6/site-packages

Non-python dependencies:
------------------------
  Graphviz  : 2.40
  Ghostscr. : 9.21

System PATH env variable:
-------------------------
      /usr/local/sbin
      /usr/local/bin
      /usr/bin
      /usr/lib/jvm/default/bin
      /usr/bin/site_perl
      /usr/bin/vendor_perl
      /usr/bin/core_perl

Databases:
-------------------------
  bsddb     :
      version     : 6.2.4
      db version  : 5.3.28
      location    : /usr/lib/python3.6/site-packages/bsddb3/__init__.py
  sqlite3   :
      version     : 3.19.3
      py version  : 2.6.0
      location    : /usr/lib/python3.6/sqlite3/__init__.py

> I am having a private conversation with a user, about
> a problem he is having in alpha2, and he sent a crash
> report which had these deprecation warnings.  I don't
> know if anything can be done, so I am just alerting you
> GUI folks out there, in case you can do something.
>
> Notice that the three errors are not exactly the same.
>
> p.s. I would guess that since at least two of you run
> ARCH that you will be able to reproduce it/these.
>
> Thanks.
>
> =========================================
> Python version: 3.6.1 (default, Mar 27 2017, 00:27:06) [GCC 6.3.1 20170306]
> BSDDB version: 6.2.4 (5, 3, 28)
> sqlite version: 3.19.3 (2.6.0)
> Gramps version: 5.0.0-alpha2
> LANG: en_US.UTF-8
> OS: Linux
> Distribution: 4.11.7-1-ARCH
>
> GTK version    : 3.22.16
> gobject version: 3.24.1
> cairo version  : (1, 13, 3)
>
>
> (Gramps.py:16860): Gtk-WARNING **: Theme parsing error: gtk.css:68:35: The
> style property GtkButton:child-displacement-x is deprecated and shouldn't be
> used anymore. It will be removed in a future version
>
> (Gramps.py:16860): Gtk-WARNING **: Theme parsing error: gtk.css:69:35: The
> style property GtkButton:child-displacement-y is deprecated and shouldn't be
> used anymore. It will be removed in a future version
>
> (Gramps.py:16860): Gtk-WARNING **: Theme parsing error: gtk.css:73:46: The
> style property GtkScrolledWindow:scrollbars-within-bevel is deprecated and
> shouldn't be used anymore. It will be removed in a future version
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Gramps-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gramps-devel
>


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: deprecation warnings

Serge Noiraud-2
In reply to this post by Paul Franklin-5
Hi,

Le 05/07/2017 à 19:45, Paul Franklin a écrit :

> I am having a private conversation with a user, about
> a problem he is having in alpha2, and he sent a crash
> report which had these deprecation warnings.  I don't
> know if anything can be done, so I am just alerting you
> GUI folks out there, in case you can do something.
>
> Notice that the three errors are not exactly the same.
>
> p.s. I would guess that since at least two of you run
> ARCH that you will be able to reproduce it/these.
>
> Thanks.
>
> =========================================
> Python version: 3.6.1 (default, Mar 27 2017, 00:27:06) [GCC 6.3.1 20170306]
> BSDDB version: 6.2.4 (5, 3, 28)
> sqlite version: 3.19.3 (2.6.0)
> Gramps version: 5.0.0-alpha2
> LANG: en_US.UTF-8
> OS: Linux
> Distribution: 4.11.7-1-ARCH
>
> GTK version    : 3.22.16
> gobject version: 3.24.1
> cairo version  : (1, 13, 3)
>
>
> (Gramps.py:16860): Gtk-WARNING **: Theme parsing error: gtk.css:68:35: The
> style property GtkButton:child-displacement-x is deprecated and shouldn't be
> used anymore. It will be removed in a future version
I think this is related to the Gtk version : 3.22.16

>
> (Gramps.py:16860): Gtk-WARNING **: Theme parsing error: gtk.css:69:35: The
> style property GtkButton:child-displacement-y is deprecated and shouldn't be
> used anymore. It will be removed in a future version
>
> (Gramps.py:16860): Gtk-WARNING **: Theme parsing error: gtk.css:73:46: The
> style property GtkScrolledWindow:scrollbars-within-bevel is deprecated and
> shouldn't be used anymore. It will be removed in a future version

Serge


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: deprecation warnings

GRAMPS - Dev mailing list
In reply to this post by Paul Franklin-5
Hi,

I got a problem like that in the past.
https://gramps-project.org/wiki/index.php?title=GEPS_029:_GTK3-GObject_introspection_Conversion#GTK_3_theme

Just made a local hack while it has been fixed
e.g., under /usr/share/themes/.../gtk-3.0/
where ... is its current Gtk3 theme.

Hope this can help.


J.


--------------------------------------------
En date de : Mer 5.7.17, Paul Franklin <[hidden email]> a écrit :

 Objet: [Gramps-devel] deprecation warnings
 À: [hidden email]
 Date: Mercredi 5 juillet 2017, 17h45
 
 I am having a private conversation with a
 user, about
 a problem he is having in alpha2, and
 he sent a crash
 report which had these deprecation
 warnings.  I don't
 know if anything can be done, so I am
 just alerting you
 GUI folks out there, in case you can do
 something.
 
 Notice that the three errors are not
 exactly the same.
 
 p.s. I would guess that since at least
 two of you run
 ARCH that you will be able to reproduce
 it/these.
 
 Thanks.
 
 =========================================
 Python version: 3.6.1 (default, Mar 27
 2017, 00:27:06) [GCC 6.3.1 20170306]
 BSDDB version: 6.2.4 (5, 3, 28)
 sqlite version: 3.19.3 (2.6.0)
 Gramps version: 5.0.0-alpha2
 LANG: en_US.UTF-8
 OS: Linux
 Distribution: 4.11.7-1-ARCH
 
 GTK version    : 3.22.16
 gobject version: 3.24.1
 cairo version  : (1, 13, 3)
 
 
 (Gramps.py:16860): Gtk-WARNING **:
 Theme parsing error: gtk.css:68:35: The
 style property
 GtkButton:child-displacement-x is deprecated and shouldn't
 be
 used anymore. It will be removed in a
 future version
 
 (Gramps.py:16860): Gtk-WARNING **:
 Theme parsing error: gtk.css:69:35: The
 style property
 GtkButton:child-displacement-y is deprecated and shouldn't
 be
 used anymore. It will be removed in a
 future version
 
 (Gramps.py:16860): Gtk-WARNING **:
 Theme parsing error: gtk.css:73:46: The
 style property
 GtkScrolledWindow:scrollbars-within-bevel is deprecated and
 shouldn't be used anymore. It will be
 removed in a future version
 
 ------------------------------------------------------------------------------
 Check out the vibrant tech community on
 one of the world's most
 engaging tech sites, Slashdot.org! http://sdm.link/slashdot
 _______________________________________________
 Gramps-devel mailing list
 [hidden email]
 https://lists.sourceforge.net/lists/listinfo/gramps-devel
 

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gramps-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-devel
Loading...